/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CloudCustomer {
    #[serde(rename = "id", skip_serializing_if = "Option::is_none")]
    pub id: Option<String>,
    #[serde(rename = "creator_id", skip_serializing_if = "Option::is_none")]
    pub creator_id: Option<String>,
    #[serde(rename = "create_at", skip_serializing_if = "Option::is_none")]
    pub create_at: Option<i64>,
    #[serde(rename = "email", skip_serializing_if = "Option::is_none")]
    pub email: Option<String>,
    #[serde(rename = "name", skip_serializing_if = "Option::is_none")]
    pub name: Option<String>,
    #[serde(rename = "num_employees", skip_serializing_if = "Option::is_none")]
    pub num_employees: Option<String>,
    #[serde(rename = "contact_first_name", skip_serializing_if = "Option::is_none")]
    pub contact_first_name: Option<String>,
    #[serde(rename = "contact_last_name", skip_serializing_if = "Option::is_none")]
    pub contact_last_name: Option<String>,
    #[serde(rename = "billing_address", skip_serializing_if = "Option::is_none")]
    pub billing_address: Option<Box<crate::openapi::models::Address>>,
    #[serde(rename = "company_address", skip_serializing_if = "Option::is_none")]
    pub company_address: Option<Box<crate::openapi::models::Address>>,
    #[serde(rename = "payment_method", skip_serializing_if = "Option::is_none")]
    pub payment_method: Option<Box<crate::openapi::models::PaymentMethod>>,
}

impl CloudCustomer {
    pub fn new() -> CloudCustomer {
        CloudCustomer {
            id: None,
            creator_id: None,
            create_at: None,
            email: None,
            name: None,
            num_employees: None,
            contact_first_name: None,
            contact_last_name: None,
            billing_address: None,
            company_address: None,
            payment_method: None,
        }
    }
}
